
Name:           kturtle
Summary:        An educational programming environment
Version: 		23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2 and GFDL
URL:            http://www.kde.org/applications/education/kturtle/
Source:         http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5widgets-devel 

%description
KTurtle is an educational programming environment for the KDE4 Desktop.
KTurtle aims to make programming as easy and touchable as possible, and
therefore can be used to teach kids the basics of math, geometry
and... programming.

%files
%_kf5_bindir/%name
%_kf5_datadir
/etc/xdg/kturtle.knsrc

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
Requires:		%name
BuildArch:      noarch

%description handbook
This package provides the %name handbook.

%files handbook
%docdir %_kf5_docdir/HTML
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

